#include "riscos.h"

class Iconv : public Module
{
private:
  void Open (void);
  void iconv (void);
  void Close (void);

public:
  char *module_name;
  int version_major;
  int version_minor;
  int swi_chunk_begin;
  int swi_chunk_end;

  Iconv (void) : Module ()
  {
    module_name = "Iconv";
    version_major = 0;
    version_minor = 2;
    swi_chunk_begin = 0x57540;
    swi_chunk_end = 0x5757f;
  }
  virtual ~Iconv () {}

  unsigned int SWIChunkBegin (void) { return swi_chunk_begin; }
  unsigned int SWIChunkEnd (void) { return swi_chunk_end; }
  bool SWI (unsigned int swinum, bool xbit);
};
