#include "riscos.h"

class FPEmulator : public Module
{
private:
  void Version (void);

public:
  char *module_name;
  int version_major;
  int version_minor;
  int swi_chunk_begin;
  int swi_chunk_end;

  FPEmulator (void) : Module ()
  {
    module_name = "FPEmulator";
    // Version 4.00 (FPA)
    version_major = 4;
    version_minor = 0;
    swi_chunk_begin = 0x40480;
    swi_chunk_end = 0x404bf;
  }
  virtual ~FPEmulator () {}

  unsigned int SWIChunkBegin (void) { return swi_chunk_begin; }
  unsigned int SWIChunkEnd (void) { return swi_chunk_end; }
  bool SWI (unsigned int swinum, bool xbit);
};
