#include "riscos.h"

class MimeMap : public Module
{
private:
  void Translate (void);

public:
  char *module_name;
  int version_major;
  int version_minor;
  int swi_chunk_begin;
  int swi_chunk_end;

  MimeMap (void) : Module ()
  {
    module_name = "MimeMap";
    version_major = 3;
    version_minor = 68;
    swi_chunk_begin = 0x50b00;
    swi_chunk_end = 0x50b3f;
  }
  virtual ~MimeMap () {}

  unsigned int SWIChunkBegin (void) { return swi_chunk_begin; }
  unsigned int SWIChunkEnd (void) { return swi_chunk_end; }
  bool SWI (unsigned int swinum, bool xbit);
};
